/* datagrid */
.datagrid {position:relative;*zoom:1;}
.datagrid h3{clear:both;font-weight:bold;font-size:14px;line-height:26px;height:25px;margin:0;text-indent:5px;color:#fff;background:#5c8cae url(../images/datagrid/header-bg.png);border-bottom:1px solid #4f7d9e;/*text-shadow:.8px .8px 0px #036;*/}
.datagrid h3 .header-link {font-size:11px;position:absolute;right:5px;top:1px;}
.grid-multi-header {overflow:hidden;clear:both;height:25px;color:#fff;background:#5c8cae url(../images/datagrid/header-bg.png);border-bottom:1px solid #4f7d9e;}
.grid-multi-header h3 {float:left;padding:0;line-height:26px;}
.grid-multi-header a {color:#fff !important;}
.grid-multi-header span {padding:8px 4px 0 0;line-height:10px;font-size:10px;text-align:right;float:right;}
.datagrid table {clear:both;width:100%;font-size:11px !important;color:#000;border-collapse:separate;background:#fff;}
.headerless table {border-top:1px solid #bcbcbc;} /* added to accommodate for when there is no header just above the table, and the table thus needs its own top border */
.datagrid table a {color:#036 !important;}
.datagrid th {white-space:nowrap;}
.datagrid td {padding:4px;text-align:left;line-height:1.2em;}
.datagrid th {padding:4px;text-align:left;line-height:1.2em;}
.datagrid th {color:#036;background:#bddaef url(../images/datagrid/sortable-bg.png);border-left:1px solid #bcbcbc;border-bottom:1px solid #bcbcbc;vertical-align:bottom;cursor:pointer;}
.datagrid th.last {border-right:1px solid #bcbcbc;}
.datagrid th small {display:block;}
.datagrid th span {display:block;}
.datagrid th span.acquired-date {display:inline;padding:0; color:#999;font-style:normal;}
.datagrid td em.prior {display:inline;padding:0; color:#999;font-style:normal;}
.datagrid th em.prior {display:inline;padding:0; color:#999;font-style:normal;}
.datagrid td span.prior {display:inline;padding:0; color:#999;font-style:normal;}
.datagrid th span.prior {display:inline;padding:0; color:#999;font-style:normal;}
.datagrid th span.acquired-date {display:none;}
.datagrid th span.prior {display:none;}
.datagrid th.hover span a {color:#E1440F !important; text-decoration:none !important;/*background:url(../images/datagrid/sortable-indicator-desc-hover.gif) 100% 100% no-repeat;*/}
.datagrid th.hover span {color:#E1440F !important; text-decoration:none !important;/*background:url(../images/datagrid/sortable-indicator-desc-hover.gif) 100% 100% no-repeat;*/}
.datagrid th.hover {color:#E1440F !important; text-decoration:none !important;/*background:url(../images/datagrid/sortable-indicator-desc-hover.gif) 100% 100% no-repeat;*/}
.datagrid th.hover span.prior {color:#999;}
.datagrid th.desc {background-position:0 -30px !important;background-color:#7CA8C7;background-repeat:repeat-x;}
.datagrid th.asc {background-position:0 -30px !important;background-color:#7CA8C7;background-repeat:repeat-x;}
.datagrid th.asc span {padding-right:12px;background:url(../images/datagrid/sortable-indicator-asc.gif) 100% 100% no-repeat !important;} /* only show when sorted */
.datagrid th.desc span {padding-right:12px;background:url(../images/datagrid/sortable-indicator-desc.gif) 100% 100% no-repeat !important;} /* only show when sorted */
.datagrid th.unsortable {background:#bddaef !important;cursor:default;}
.datagrid th.unsortable span {color:#000 !important; background:transparent !important;padding:0 !important;}
.datagrid td {border-left:1px solid #bcbcbc;vertical-align:top;}
.datagrid td.last {border-right:1px solid #bcbcbc;}
.datagrid .last td {border-bottom:1px solid #bcbcbc;}
.datagrid tr.header-odd td {background:#e7f3ff;}
.datagrid tr.odd td {background:#e7f3ff;}
.datagrid tr.header-odd td {font-size:14px;font-weight:bold;padding:4px 4px 3px;border-bottom:1px solid #bcbcbc;}
.datagrid tr.header-even td {font-size:14px;font-weight:bold;padding:4px 4px 3px;border-bottom:1px solid #bcbcbc;}
.datagrid tr.last-before-header td {padding:4px 4px 3px;border-bottom:1px solid #bcbcbc;}
.datagrid h4 {font-size:12px;line-height:1.2em;font-weight:bold;margin:0;}
.datagrid .numeric {text-align:right;}
.datagrid .timestamp {font-size:10px;color:#999;}
.datagrid .positive {color:#090;}
.datagrid .negative {color:#c00;}
.datagrid .nowrap {white-space:nowrap;}
.datagrid .colspan-head {border-bottom:0 !important;text-align:center;}
.datagrid .nested-colspan {font-size:10px;font-weight:normal;border-top:0 !important;}
.datagrid .nested-colspan-1 {border-left:0 !important;padding-left:6px !important;}
.datagrid .cash-label {display:none;}
.datagrid .cusip {text-align:right;color:#999;font-size:10px;}
.datagrid td span {display:block;}
.datagrid td h4 span {display:inline;}
.datagrid .subdued {width:1%;} /* generic "narrow" column class */
.datagrid .emphasized {width:80%;} /* generic "wide" column class */
.datagrid .account-cell {width:1%;}
.datagrid .quantity-cell {width:1%;text-align:right;}
.datagrid .latest-price-cell {width:160px;text-align:right;}
.datagrid .latest-price-cell .currency-amt{width:70px;float:left;}
.datagrid .latest-price-cell .change-amt{width:70px;float:right;}
.datagrid .latest-price-cell .timestamp{clear:both;}

.datagrid .market-value-cell {width:160px;text-align:right;}
.datagrid .market-value-cell .currency-amt{width:70px;float:left;}
.datagrid .market-value-cell .change-amt{width:70px;float:right;}

.datagrid .total-cost-cell {text-align:right;}
.datagrid .unrealized-gain-loss-cell {text-align:right;}

.datagrid .hasAnnotation {padding-right:19px;}
.datagrid .child-row .annotation {border-left:0 !important;width:11px;padding-left:0 !important;}

.datagrid .annotation {border-left:0 !important;width:11px;padding-left:0 !important;}

/* "super-sort" dropdown */
.datagrid .super-sort span {position:relative;z-index:98;/* 98 = 1 higher than the row-menu */_zoom:1;}
.datagrid .super-sort span.prior {position:static;z-index:1;}
.datagrid .super-sort .sort-dropdown {/**/display:none;/**/text-align:left;width:90px;background:#f0f0f0;border:1px solid #bcbcbc;position:absolute;right:-76px;top:17px;*top:18px;_top:17px;_zoom:1;-webkit-box-shadow:#555 1px 1px 3px;-moz-box-shadow:#555 1px 1px 3px;box-shadow:#555 1px 1px 3px;}
.datagrid .open .sort-dropdown {display:block !important;_zoom:1;}
.datagrid .super-sort .sort-dropdown h5 {padding:5px 5px 2px;margin:0;text-transform:uppercase;color:#666;font-size:9px;font-weight:bold;border-left:1px solid #fff;_zoom:1;}
.datagrid .super-sort .sort-dropdown ul {padding:0;margin:0;_zoom:1;}
.datagrid .super-sort .sort-dropdown li {list-style:none;border-left:1px solid #fff;_zoom:1;}
.datagrid .super-sort .sort-dropdown a {display:block;padding:4px 7px;font-size:12px;line-height:12px;font-weight:normal;color:#000 !important;background:#f0f0f0;_zoom:1;margin:0 1px 1px 0;}
.datagrid .super-sort .sort-dropdown a:hover {background:#bad7ec;text-decoration:none;_zoom:1;}
.datagrid .super-sort .sort-dropdown .on a:hover {font-weight:bold;color:#036 !important;background:#f7d59e;_zoom:1;}
.datagrid .super-sort .sort-dropdown .on a {font-weight:bold;color:#036 !important;background:#f7d59e;_zoom:1;}
.datagrid .super-sort-indicator {display:none;position:absolute;z-index:41;right:-5px;_right:-6px;bottom:-5px;_bottom:-6px;width:19px;background:#CEE1EF url(../images/datagrid/super-sort-indicator.png) bottom no-repeat;border:1px solid #bcbcbc;padding-top:1px;*padding:0;}
.datagrid .hover .super-sort-indicator {display:block;}

.datagrid .open .super-sort-indicator {display:block;}

/* some styling for Position Detail datagrid */
.datagrid .has-subrows td {border-bottom:1px solid #bcbcbc;}
.datagrid .subrow td {background:#f2f2f2;border-top:0;border-bottom:0;}
.datagrid .last-subrow td {background:#f2f2f2;border-bottom:1px solid #bcbcbc;}
.datagrid .subtotal td {background:#e6e6e6 !important;border-bottom:1px solid #bcbcbc;font-weight:bold;}
.datagrid td.subtotal {background:#e6e6e6 !important;font-weight:bold;}
.datagrid .details-group-primary td {background:#e6e6e6;border-bottom:1px solid #bcbcbc;padding-bottom:4px !important;}/*added this line of code for the holding details page */
.datagrid td .date-and-term {width:110px;}
.datagrid td .date {float:left;width:70px;}
.datagrid td .dateright {float:right;width:70px;}
.datagrid td .term {float:left;width:40px;}

/* "nested" rows */
.datagrid tr.child-row td {border-top:1px solid #e1e1e1;}
.datagrid tr.child-row-last td {border-bottom:1px solid #94aebd;}
.datagrid tr td.rowspan-placeholder {/*border-top:1px solid #fff;*/border-top:0;padding-top:5px;font:0/0 arial;} /* td.rowspan-placeholder should only occur inside of a tr.child-row */
/*.datagrid tr.odd td.rowspan-placeholder {border-top:1px solid #e7f3ff;}*/
.datagrid tr.hover td.rowspan-placeholder {border-top:1px solid #CCDFED;padding-top:4px;}
.datagrid tr.totals td.rowspan-placeholder {border-top:0;}
.datagrid tr.child-row td {padding-top:4px !important;}
.datagrid tr.child-row-last td {padding:4px !important;}

/* price cells */
/* causes #530
.datagrid td.triple { position:relative;}
*/
.datagrid td.triple .numeric {width:53%;float:right;}
.datagrid td.triple .timestamp {width:45%;float:left;text-align:left;}

/* totals row at bottom */
.datagrid .totals td {text-align:right; font-weight:bold; background:#e0dfe0 !important; border-top:1px solid #bcbcbc; white-space:nowrap;}

/* summary below totals row */
.datagrid-summary {text-align:right;border:1px solid #bcbcbc;padding:4px 0;margin-bottom:10px;clear:both;position:relative;z-index:-6;/* lower z-index than .datagrid */}
.datagrid-summary-inner {width:100%;overflow:hidden;}
.datagrid-summary .row {float:right;clear:right;white-space:nowrap;}
.datagrid-summary .summary-label {float:left;}
.datagrid-summary .summary-value {float:left;width:80px;padding-right:4px;}

/* flags */
.datagrid .flag-cell {width:20px;}
.datagrid .flag {display:block;width:10px;height:10px;margin:0 0 3px;text-indent:-9999px;overflow:hidden;background:url(../images/icons/flag-blue.gif);}
.datagrid .flag-high-importance {background:url(../images/icons/flag-green.gif);}
.datagrid th .flag {background:url(../images/icons/flag-white.gif);}

/* expand/collapse */
.datagrid .expand-collapse-control {display:block;cursor:pointer;width:12px;height:10px;margin-top:2px;text-indent:-9999px;overflow:hidden;background:url(../images/datagrid/expand-collapse-icon.png);}
.ie .datagrid .expand-collapse-control {margin-top:1px;}
.ie6 .datagrid .expand-collapse-control {background-image:url(../images/datagrid/expand-collapse-icon.gif);}
.datagrid .collapsed {background-position:0 -10px;}
.datagrid th.expand-collapse-all {width:1%;}
.datagrid th.expand-collapse-all span {padding:0;background:transparent;}

.js .datagrid .child-row {display:none;}

.datagrid th.select-deselect-all {width:1%;}
.datagrid .net-gain {text-align:center;width:1%;}

/* pagination */
.datagrid .pagination{white-space:nowrap;font-weight:bold;font-size:12px;line-height:25px;height:25px;margin:0;color:#000;background:#e1e1e1;padding:0 10px;border:1px solid #bcbcbc;border-top:0;}
.datagrid .pagination .inner{width:100%;overflow:hidden;}
.datagrid .pagination a{text-decoration:underline;}
.datagrid .pagination .pagination-links{float:right;}
.datagrid .pagination .pagination-info{float:left;}
.datagrid .table-container{clear:both;}

/* pagination moved from portfolio.css */
.docsPagination {clear:both;float:right;color:#000;font-size:11px;padding-right:3px; margin-bottom:5px; white-space:nowrap;}
.docsPaginationPage {position:relative;overflow:hidden;color:#000;font-size:11px; float:right; margin:5px 0 10px; padding-top:4px;}
.ie6 .docsPaginationPage {padding-right:0;overflow:hidden;display:inline;text-align:right;}
.docsPaginationPage .page {float:left;}
.docsPagination .text {float:left;}
#accountHeader .docsPagination .text {float:left;}
.datagrid .docsPagination .text {float:left;}
.docsPaginationPage a span {text-decoration:underline;}
.docsPagination a span {text-decoration:underline;}
.docsPaginationPage a.disabled {text-decoration:none !important; color:#939393 !important; cursor:default !important;}
.docsPagination a.disabled {text-decoration:none !important; color:#939393 !important; cursor:default !important;}
.docsPaginationPage a.disabled span {text-decoration:none;}
.docsPagination a.disabled span {text-decoration:none;}
.docsPaginationPage .page {position:relative;margin-top:-4px;overflow:hidden;}
.docsPagination .page {position:absolute; right:0; float:none !important;}
/* new default is to not display pagination, until determined that we need it, then display */
.pnPaging {display:none;float:left;}
.docsPaginationPrev {padding-left:20px;}

.tableFooterContainer {width:100%;overflow:hidden;}
.tableFooterContainer .get-adobe {float:left;}
.tableFooterContainer .docsPaginationPage {float:right;}

/* row hover */
div.datagrid table tbody tr.hover td {background:#CCDFED;}

.datagrid tr.menu-row td.rowspan-placeholder {border-bottom:1px solid #CCDFED;}

.datagrid tr.menu-row td.shared-with-children {border-bottom:1px solid #CCDFED;}

.has-context-menu tr.menu-row td.first {border-left:1px solid #98B0C2;}
.has-context-menu tr.menu-row td.last {border-right:1px solid #98B0C2;}
/* not used
.has-context-menu tr.prev-row th {border-bottom:1px solid #98B0C2 !important;}
.has-context-menu tr.prev-row td,
.has-context-menu tr.menu-row td {padding:4px 4px 3px;border-bottom:1px solid #98B0C2 !important;}
*/

.has-context-menu tr.hover td {cursor:pointer;}
.has-context-menu tr.menu-row td {padding:3px 4px;border-top:1px solid #98B0C2 !important;border-bottom:1px solid #98B0C2 !important;}
.datagrid tr.row-selected td {background:#FCD37D;}
.datagrid tr.last td {padding-bottom:4px;}
.datagrid tr.subtotal td {padding-bottom:4px;}
.datagrid tr.last-subrow td {padding-bottom:4px;}
.datagrid tr.has-subrows td {padding-bottom:4px;}
.datagrid .cell {position:relative;*position:static;/* changed 6/17 from _ to * so that it will affect both ie6 and ie7, there are a few corresponding lines changed in datagrid.js also. */}
/*.datagrid .account-number {text-align:right;}*/
/*.datagrid div.right {text-align:right;}*/

/* row hover row menu */
.row-menu {display:none;position:absolute;width:500px;left:50px;/*border:1px solid #C99544;border-top:0;background:#F7D59E;padding:4px 9px;*/}
.menu-row .row-menu {display:block;z-index:97;cursor:auto;}
.row-menu ul {float:left;height:11px;padding:3px 0 4px !important;background:#CCDFED url(../images/datagrid/row-menu.gif) 0 17px repeat-x;border-top:1px solid #CCDFED;}
.row-menu li {list-style:none;float:left;font-size:11px;font-weight:bold;line-height:11px;padding:0 9px;border-left:1px solid #4E7397;}
.row-menu li.first {border:0;}
.row-menu li a {color:#335D86;}
.row-menu ul li span {display:inline;}
.row-menu ul li span.securityIDSpan {display:none;}
.row-menu ul li span.researchSpan {display:none;}
.row-menu .bg2 {float:left;width:5px;height:18px;background:url(../images/datagrid/row-menu.gif) 0 -1px no-repeat;border-top:1px solid #CCDFED;}
.row-menu .bg1 {float:left;width:5px;height:18px;background:url(../images/datagrid/row-menu.gif) 0 -1px no-repeat;border-top:1px solid #CCDFED;}
.row-menu .bg2 {background-position:100% 100%;}

.datagrid tr.hover td.yearLabel {}

/* scrollable */
.table-container {height:188px;overflow:auto;overflow-x:hidden;margin:0;clear:both;border:1px solid #bcbcbc;border-left:0;border-top:0;}
.tall-table-container {height:388px;}
.table-container table {width:100%;border-collapse:separate;}
.table-container table td:last-child {padding-right:20px !important;}
.table-container table th:last-child {padding-right:20px !important;}
.ff .table-container table th:last-child {border-right:0;}
.table-container thead tr {position:relative;}
.table-container table input.checkable {float:none;}
.table-container table thead th.col1 {padding-left:10px;}
.table-container table tbody td.col1 {padding-left:10px;}
.table-container tr.last td {border-bottom:0;}

.ff .table-container {height:188px;overflow:hidden;}
.ff .tall-table-container {height:387px;}
.ff .table-container th{border-bottom:1px solid #BCBCBC;}
.ff .table-container tbody{height:163px;overflow:auto;overflow-x:hidden;}
.ff .tall-table-container tbody {height:363px;}

.duplicate tbody tr {visibility:hidden;}

.original thead tr {visibility:hidden;}

.duplicate {position:absolute;top:22px;height:25px !important;}
.ff .duplicate {top:22px;}
.headerless .duplicate {top:0;}

.entitlements .duplicate {top:-1px;}
.edit-nicknames-datagrid .duplicate {height:auto !important;}
.ten-ninetynines .original {width:383px !important;}
.ten-ninetynines .duplicate {width:383px !important;top:25px;height:auto !important;}


/* tooltip */
#datagrid-tooltip {display:none;position:absolute;overflow:visible;font-size:11px;height:24px;padding:0 0 14px 20px;z-index:500;margin:28px 0 0 10px;background:url(../images/tooltip-for-account-fulltext.png) 0 0 no-repeat;}
/*
#datagrid-tooltip {display:none;position:absolute;overflow:visible;font-size:11px;width:225px;z-index:500;margin:5px 0 0 17px;}
#datagrid-tooltip p {margin:0;padding:0px 7px 0 8px;background:url(../images/context_help_bg.gif) repeat-y;}
#datagrid-tooltip .indicator {width:15px;height:15px;position:absolute;top:30%;left:-13px;background: url(../images/indicator.gif) no-repeat;}
#datagrid-tooltip .ttTop {height:10px;background:url(../images/context_help.gif);}
#datagrid-tooltip .ttBot {height:10px;background:url(../images/context_help.gif) bottom left;}
*/
#datagrid-tooltip .ttBot {position:absolute;top:0;right:-12px;height:38px;width:12px;background:url(../images/tooltip-for-account-fulltext.png) 100% 0 no-repeat;}
.ie6 #datagrid-tooltip .ttBot {background-image:url(../images/tooltip-for-account-fulltext.gif);}
.ie6 #datagrid-tooltip {background-image:url(../images/tooltip-for-account-fulltext.gif);}
#datagrid-tooltip span.requirement{display:block;margin-left:2px;font-size:8pt;}

/* quickview overlay */
#quickviewOverlayGaurantor {display:none;font-size:11px;position:absolute;left:50%;z-index:501;width:385px;padding:1px 0 0 1px;height:240px;background:url(../images/datagrid/quickview-overlay-bg.png) 0 0 no-repeat;_background-image:url(../images/datagrid/quickview-overlay-bg.gif);}
#quickviewOverlay,  #quickviewOverlay1, #quickviewOverlay2{display:none;font-size:11px;position:absolute;left:50%;z-index:501;width:385px;padding:1px 0 0 1px;height:240px;background:url(../images/datagrid/quickview-overlay-bg.png) 0 0 no-repeat;_background-image:url(../images/datagrid/quickview-overlay-bg.gif);}
#quickviewOverlay iframe {width:370px;height:198px}

/* position details overlay */
#positionDetailsOverlay {display:none;position:absolute;left:50% !important;margin:100px 0 0 -452px;width:904px;-webkit-box-shadow:#555 3px 3px 5px;-moz-box-shadow:#555 3px 3px 5px;box-shadow:#555 3px 3px 5px;}
#positionDetailsOverlay .inner {position:relative;background:#fff;border:1px solid #8C8C8C;padding:0 7px 10px;}
#positionDetailsOverlay .close {display:block;cursor:pointer;position:absolute;top:5px;right:5px;width:18px;height:18px;text-indent:-9999px;overflow:hidden;background:url(../images/buttons/modal-close.gif) 0 0 no-repeat;}
#positionDetailsOverlay h2 {font-size:16px;line-height:35px;padding:0;margin:0;}
#positionDetailsOverlay iframe {width:890px;height:200px;border:0;}


/*====================================================
dropshadows
=====================================================*/
/*  an element which should display a dropshadow
    should specify a box-shadow in the following way,
    with all three style rules, in this order:
        -webkit-box-shadow:#BBB 4px 4px 5px;
        -moz-box-shadow:#BBB 4px 4px 5px;
        box-shadow:#BBB 4px 4px 5px;
    JavaScript should prepend the divs with classnames
    as below for ie7 and above.
*/
.ie #positionDetailsOverlay .swbg {position:absolute;z-index:-1;background:url(../images/common/dropshadow-120-degrees-5-5-5.png) 0 0 no-repeat;width:452px;height:50%;}
.ie #positionDetailsOverlay .sebg {position:absolute;z-index:-1;background:url(../images/common/dropshadow-120-degrees-5-5-5.png) 0 0 no-repeat;width:452px;height:50%;}
.ie #positionDetailsOverlay .nwbg {position:absolute;z-index:-1;background:url(../images/common/dropshadow-120-degrees-5-5-5.png) 0 0 no-repeat;width:452px;height:50%;}
.ie #positionDetailsOverlay .nebg {position:absolute;z-index:-1;background:url(../images/common/dropshadow-120-degrees-5-5-5.png) 0 0 no-repeat;width:452px;height:50%;}
.ie #positionDetailsOverlay .nwbg {top:0px;left:0px;width:458px;padding-top:7px;}
.ie #positionDetailsOverlay .nebg {top:0px;right:-6px;background-position:top right;padding-top:7px;}
.ie #positionDetailsOverlay .swbg {bottom:-7px;left:0px;background-position:bottom left;width:458px;}
.ie #positionDetailsOverlay .sebg {bottom:-7px;right:-6px;background-position:bottom right;}


.disclaimers {font-size:11px;border-top:1px solid #e7e7e7;padding-top:10px;margin-top:10px;}
.disclaimers ul {padding:0 !important;}
.disclaimers li {list-style:none;padding-left:8px;}
.disclaimers li .asterisk {position:absolute;left:0;}

.clientside-sort-page {border-bottom:1px solid #bcbcbc !important;}
.docsPaginationPage {position:static !important;top:auto !important;}

.docsPagination {position:static !important;top:auto !important;}

#trickedModal {top:270px !important;padding-bottom:20px;_padding-bottom:10px;}
#trickedModal iframe {margin:0 0 10px;}

.trickedDocs .datagrid {border-top:1px solid #bcbcbc;}
.trickedDocs .datagrid table {border-top:0;}
.trickedDocs .datagrid th {line-height:16px;height:16px;}
.trickedDocs .datagrid .duplicate {top:-1px;}

 .numeric {text-align:right;}
 .timestamp {font-size:10px;color:#999;}
 .positive {color:#090;}
 .negative {color:#c00;}
